import { OnInit, EventEmitter } from '@angular/core';
import { Table } from '../../models/table';
export declare class DataTableComponent implements OnInit {
    private searchTerm;
    private table;
    onFilterUpdated: EventEmitter<any>;
    onActionClicked: EventEmitter<any>;
    onPageChanged: EventEmitter<any>;
    onSorted: EventEmitter<any>;
    onSearchInputTextChanged: EventEmitter<any>;
    private pagerComponent;
    private datepickerOpts;
    private itemCount;
    private pageNumber;
    private pageCount;
    private loading;
    private anyItem;
    private selectedItem;
    private detailFields;
    private lastFilters;
    constructor();
    ngOnInit(): void;
    updateTable(table: Table, itemCount: number): void;
    private setStoredFilters(storedTable);
    private setDetailFields();
    setDelimitedItemsFor(columnName: string, items: any[]): void;
    private parseDetailFields();
    private dateSelectionChanged($event, column);
    private setValues();
    setLoader(isLoading: boolean): void;
    private pageChanged(index);
    private flushPager();
    private actionClicked(item, action);
    private onSelectionChanged($event, column);
    private searchInputChanged(column);
    clearFilters(): void;
    private sort(column);
    private generalSearchInputChanged(input);
}
