import { Value } from './value';
import { Column } from './column';
import { ActionColumn } from './action.column';
import { CustomDataAddingMethod } from './custom.data.adding.method';
import { CustomDetailField } from './custom.detail.field';
export declare class Table {
    name: string;
    columns: Column[];
    values: Value[];
    items: any[];
    actionColumn: ActionColumn;
    customDetailFields?: CustomDetailField[];
    columnAsDetailField?: boolean;
    detailFields?: boolean;
    detailFieldsAddingMethod?: CustomDataAddingMethod;
}
